1. Access Token
Blackkonnect SMS
  • Blackkonnnect SMS API
  • Access Token
    • Retrieve access token
      POST
  • Mobile SMS Messaging
    • Send a simple SMS message
      POST
    • Send bulk SMS messages
      POST
    • Get message status
      GET
    • Get message status
      GET
  • Schemas
    • Schemas
      • GenericResponseNetworkOperatorMessageDeliveryDTO
      • NetworkOperatorMessageDeliveryDTO
      • GatewayMessageDeliveryStatusDTO
    • SimpleSmsMessageRequest
    • GenericRequest
    • ItemPagination
    • SimpleSmsMessageResponse
    • BulkSmsMessageRequest
    • DeliveryTime
    • DeliveryWindow
    • MessageDestination
    • SmsMessage
    • BulkSmsMessageResponse
    • MessageGroupStatus
    • SmsMessageDeliveryStatus
    • ProblemDetail
    • GatewayMessageDeliveryStatus
    • TokenRequest
  1. Access Token

Retrieve access token

Testing Env
https://test.your-api-server.com
Testing Env
https://test.your-api-server.com
POST
/api/sms/authenticate/access-token/token/v1
Provides access tokens used to grant access to a protected resource on the API.

Request

Body Params application/x-www-form-urlencoded

Responses

🟢200OK
application/json
Authentication successful and token retrieved
Body

🟠401Unauthorized
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://test.your-api-server.com/api/sms/authenticate/access-token/token/v1' \
--data-urlencode 'scope=scope' \
--data-urlencode 'client_id=user@example.com' \
--data-urlencode 'client_secret=wererewr2343434432' \
--data-urlencode 'grant_type=client_credentials'
Response Response Example
200 - JWTExample
{
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}
Modified at 2026-02-25 02:53:25
Previous
Blackkonnnect SMS API
Next
Send a simple SMS message
Built with